std::pointer_to_unary_function< _Arg, _Result >(3)

NAME
std::pointer_to_unary_function< _Arg, _Result > -

SYNOPSIS

Inherits std::unary_function< _Arg, _Result >.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

  Public Member Functions
pointer_to_unary_function (_Result(*__x)(_Arg))
_Result operator() (_Arg __x) const

  Protected Attributes
_Result(* _M_ptr )(_Arg)

Detailed Description

  template<typename _Arg, typename _Result>class std::pointer_to_unary_function< _Arg, _Result >
One of the adaptors for function pointers.

Definition at line 422 of file stl_function.h.

Member Typedef Documentation

  template<typename _Arg, typename _Result> typedef _Arg std::unary_function< _Arg, _Result >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 104 of file stl_function.h.

  template<typename _Arg, typename _Result> typedef _Result std::unary_function< _Arg, _Result >::result_type [inherited]

result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.